﻿using System;
using Ozeki.Media;

namespace Voice_Recognition
{
    class Program
    {
        static Microphone microphone;
        static MediaConnector connector;
        static SpeechToText speechToText;   // creates a SpeechToText object

        private static void Main(string[] args)
        {
            microphone = Microphone.GetDefaultDevice();
            connector = new MediaConnector();

            SetupSpeechToText();    // calls the proper method to convert speech to text

            Console.ReadLine();
        }

        static void SetupSpeechToText()
        {
            string[] words = {"Hello", "Welcome"};  // defines the words to be recognized

            speechToText = SpeechToText.CreateInstance(words);  // sets the speechToText object
            speechToText.WordRecognized += (SpeechToText_WordsRecognized);  // subscribes to get notified if a word is being recognized

            connector.Connect(microphone, speechToText);    // connects the microphone to the speech-to-text converter
            microphone.Start(); // starts the microphone
        }

        // this will be called, when a word is being recognized
        static void SpeechToText_WordsRecognized(object sender, SpeechDetectionEventArgs e)
        {
            Console.WriteLine(e.Word);  // displays the recognized word
        }
    }
}